Retrieves schedule shifts
curl --request GET \
--url https://api.rootly.com/v1/schedules/{id}/shifts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"is_shadow": true,
"user_id": 123
},
"relationships": {
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_overrides"
}
},
"user": {
"data": {
"id": "<string>",
"type": "users"
}
},
"assignee": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/schedules/{id}/shifts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"is_shadow": true,
"user_id": 123
},
"relationships": {
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_overrides"
}
},
"user": {
"data": {
"id": "<string>",
"type": "users"
}
},
"assignee": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}